@import url('https://fonts.googleapis.com/css2?family=Braah+One&family=Gemunu+Libre:wght@400;500;600&family=Kanit&family=Yaldevi:wght@400;500;600&display=swap');

* {
	margin: 0;
	padding: 0;
}

.wrapper {
	height: 105vh;
	display: flex;
	justify-content: center;
	align-items: center;
}

.thorana-main-container {
	background-image: url("./body-background.jpg");
	background-size: cover;
	background-repeat: no-repeat;
}

.thorana {
	max-width: 600px;
	height: 580px;
	background-image: url("./background.png");
	background-size: cover;
	background-position-y: 50%;
	border-radius: 100%;
	display: flex;
	flex-direction: column;
	justify-content: center;
	align-items: center;
	gap: 15px;
}

.container {
	display: flex;
	align-items: center;
	justify-content: center;
}

#thorana0 {
	width: 75px;
	height: 75px;
	background-color: #00000000;
	position: absolute;
	border: #00000000 7px dotted;
	border-radius: 100%;
}
#thorana1 {
	width: 100px;
	height: 100px;
	background-color: #00000000;
	position: absolute;
	border: #00000000 7px dotted;
	border-radius: 100%;
}
#thorana2 {
	width: 125px;
	height: 125px;
	background-color: #00000000;
	position: absolute;
	border: #00000000 7px dotted;
	border-radius: 100%;
}
#thorana3 {
	width: 150px;
	height: 150px;
	background-color: #00000000;
	position: absolute;
	border: #00000000 7px dotted;
	border-radius: 100%;
}
#thorana4 {
	width: 175px;
	height: 175px;
	background-color: #00000000;
	position: absolute;
	border: #00000000 7px dotted;
	border-radius: 100%;
}

.buddah {
	width: 130px;
	height: 130px;
	margin-top: 70px;
	margin-right: 10px;
	z-index: 1;
}

.thorana-images {
	width: 180px;
	height: 180px;
	background-color: blue;
	border-radius: 100%;
	display: flex;
	justify-content: center;
	align-items: center;
}

.thorana-container {
	display: flex;
	justify-content: center;
	align-items: center;
	gap: 80px;
}

.thorana-bottom, .thorana-top {
	gap: 25px;
}

#thorana-img1 {
	background-image: url("./thorana-1.png");
	background-size: cover;
	background-repeat: no-repeat;
	background-position-x: 30%;
}

.thorana-images p {
	padding: 6px 15px 0 15px;
	border-radius: 100%;
	display: flex;
	justify-content: center;
	align-items: center;
	font-size: 25px;
	font-weight: bold;
	position: relative;
	top: 30%;
	background-color: white;
	font-family: 'Braah One', sans-serif;
}

#thorana-img2 {
	background-image: url("./thorana-2.png");
	background-size: cover;
	background-repeat: no-repeat;
	background-position-x: 30%;
}

#thorana-img3 {
	background-image: url("./thorana-3.png");
	background-size: cover;
	background-repeat: no-repeat;
	background-position-x: 50%;
}

#thorana-img4 {
	background-image: url("./thorana-4.png");
	background-size: cover;
	background-repeat: no-repeat;
	background-position-x: 100%;
}

#thorana-img5 {
	background-image: url("./thorana-5.png");
	background-size: cover;
	background-repeat: no-repeat;
	background-position-x: 40%;
}

#thorana-img6 {
	background-image: url("./thorana-6.png");
	background-size: cover;
	background-repeat: no-repeat;
	background-position-x: 40%;
}

#thorana-img7 {
	background-image: url("./thorana-7.png");
	background-size: cover;
	background-repeat: no-repeat;
	background-position-x: 40%;
}

#thorana-img8 {
	background-image: url("./thorana-8.png");
	background-size: cover;
	background-repeat: no-repeat;
	background-position-x: 40%;
}

#card-img-light11 {
	width: 530px;
	height: 580px;
	background-color: #00000000;
	position: absolute;
	border: #00000000 8px dotted;
	border-radius: 30px;
}

#card-img-light12 {
	width: 545px;
	height: 595px;
	background-color: #00000000;
	position: absolute;
	border: #00000000 6px solid;
	border-radius: 40px;
}

#card-img-light13 {
	width: 560px;
	height: 610px;
	background-color: #00000000;
	position: absolute;
	border: red 8px dotted;
	border-radius: 50px;
}

#thorana-img-light11,#thorana-img-light21,#thorana-img-light31,#thorana-img-light41,#thorana-img-light51,#thorana-img-light61,#thorana-img-light71,#thorana-img-light81 {
	width: 170px;
	height: 170px;
	background-color: #00000000;
	position: absolute;
	border: #00000000 6px solid;
	border-radius: 100%;
}

#thorana-img-light12,#thorana-img-light22,#thorana-img-light32,#thorana-img-light42,#thorana-img-light52,#thorana-img-light62,#thorana-img-light72,#thorana-img-light82 {
	width: 185px;
	height: 185px;
	background-color: #00000000;
	position: absolute;
	border: #00000000 6px dotted;
	border-radius: 100%;
}

#play {
	position: absolute;
	top: 5vh;
	left: 5vw;
	padding: 0px 30px;
	background-color: red;
	color: white;
	font-size: 28px;
	border-radius: 5px;
	border: 2px solid yellow;
	font-family: 'Kanit', sans-serif;
	font-weight: bold;
	letter-spacing: 2px;
	z-index: 1;
	cursor: pointer;
	transition: all 300ms ease-in;
}

#play:hover {
	background-color: yellow;
	color: black;
}

.leftGrid h4 {
	font-family: 'Gemunu Libre', sans-serif;
	position: absolute;
	top: 85vh;
	left: 2vw;
	font-size: 50px;
	letter-spacing: 2px;
	color: white;
	text-shadow: 2px 2px 10px rgba(0, 0, 0, 0.76);
	z-index: 1;
}

/* card styles */

.card-container {
	height: 110vh;
	display: flex;
	flex-direction: column;
	justify-content: center;
	align-items: center;
	flex-direction: column;
	width: 100%;
	background-image: url('./background2.jpg');
	background-size: cover;
	background-repeat: no-repeat;
}

.big-card {
	background-color: black;
	width: 560px;
	height: 610px;
	border-radius: 40px;
	display: flex;
	flex-direction: column;
	justify-content: center;
	align-items: center;
}

#card {
	height: 550px;
	perspective: 2000px;
}

#front, #back {
	position: absolute;
	width: 100%;
	height: 100%;
	backface-visibility: hidden;
	transition: transform 1s;
	display: flex;
	justify-content: center;
	align-items: center;
	flex-direction: column;
}

#front {
	z-index: 2;
	transform: rotateY(0deg);
}

#back {
	transform: rotateY(180deg);
}

#front {
	z-index: 2;
	transform: rotateY(0deg);
}

#card:hover #front {
	transform: rotateY(-180deg);
}

#card:hover #back {
	transform: rotateY(0deg);
}

#card img {
	width: 500px;
	border-radius: 20px;
}

#card h2 {
	font-family: 'Gemunu Libre', sans-serif;
	font-size: 30px;
	width: max-content;
	color: white;
}

.card-container h1 {	
	font-family: 'Yaldevi', sans-serif;
	font-size: 25px;
	color: white;
}